CAMLLORDER(n)

NAME
camllorder - find an ordering relation for Caml Light object files

SYNOPSIS
camllorder [ -s ] [ -stdlib path ] [ -lib lib ] filename ...

DESCRIPTION
camllorder analyses Caml Light object files (.zo) to extract the ordering needed by the linker. Each filename must be a Caml Light object file, but *not* a library. camllorder produces on the standard output the partial ordering relating the objects files given in argument. This output is suitable as the input the tsort(1) command.

OPTIONS

-s  Also computes a possible topological sort and produces output suitable for calling the linker.

-stdlib path
    Defines a different path where to look for the standard library stdlib.zo

-lib libfile
    Defines libfile as a library file or a module name. A library file (ending in .zo) will be analysed to see what modules it provides. Modules of the library (or the module itself) will be removed from the dependencies, and thus not included in the output of camllorder. The standard library stdlib.zo is always analysed, but its location (default to /usr/local/lib/caml-light) can be changed by the stdlib option.

EXAMPLES
 % camlc -o foo `camlorder -s $OBJS`
 % camlorder -stdlib $HOME/lib \
             -lib mylib.zo -lib sockets $OBJS

SEE ALSO
camlc(1), lorder(1), tsort(1).

BUGS
Very limited testing. The -s option should be used only when the order of modules is irrelevant (no tricky initialisations or side-effects).